%define upstream_name    Nagios-Object
%define upstream_version 0.21.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Perl objects to represent Nagios configuration
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Nagios/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(List::Compare)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
This module contains the code for creating perl objects to represent any of
the Nagios objects. All of the perl classes are auto-generated at
compile-time, so it's pretty trivial to add new attributes or even entire
objects. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc META.yml ChangeLog README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/config_status_demo.pl
/usr/bin/decode_flags.pl
/usr/bin/parse.pl
/usr/bin/statusdat_demo.pl
/usr/bin/test_configuration.pl
/usr/share/man/man1/config_status_demo.pl.1.xz
/usr/share/man/man1/decode_flags.pl.1.xz
/usr/share/man/man1/parse.pl.1.xz
/usr/share/man/man1/statusdat_demo.pl.1.xz
/usr/share/man/man1/test_configuration.pl.1.xz



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.21.20-10.mga8
+ Revision: 1495768
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.21.20-9.mga7
+ Revision: 1269885
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.21.20-8.mga6
+ Revision: 1030855
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.21.20-7.mga6
+ Revision: 947850
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.21.20-6.mga5
+ Revision: 748946
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.21.20-5.mga5
+ Revision: 685614
- Mageia 5 Mass Rebuild

* Fri Jun 06 2014 jquelin <jquelin> 0.21.20-4.mga5
+ Revision: 633942
- perl 5.20 rebuild

* Thu Mar 20 2014 jquelin <jquelin> 0.21.20-3.mga5
+ Revision: 606088
- perl 5.18.2 rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.21.20-2.mga4
+ Revision: 537568
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.21.20-1.mga4
+ Revision: 487261
- update to 0.21.20

* Thu Jun 27 2013 shlomif <shlomif> 0.21.19-1.mga4
+ Revision: 447580
- New version 0.21.19

* Sun Jun 02 2013 jquelin <jquelin> 0.21.18-2.mga4
+ Revision: 434481
- perl 5.18.0 rebuild

* Sat Jun 01 2013 shlomif <shlomif> 0.21.18-1.mga4
+ Revision: 434052
- New version 0.21.18

* Mon Mar 18 2013 jquelin <jquelin> 0.21.16-6.mga3
+ Revision: 403824
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.21.16-5.mga3
+ Revision: 370452
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.21.16-4.mga3
+ Revision: 315014
- perl 5.16.2 shebang rebuild

* Fri Aug 24 2012 jquelin <jquelin> 0.21.16-3.mga3
+ Revision: 283554
- perl 5.16.1 rebuild

* Mon Jun 04 2012 jquelin <jquelin> 0.21.16-2.mga3
+ Revision: 254308
- rebuild to fix new shebang with perl 5.16

* Sat Dec 10 2011 kharec <kharec> 0.21.16-1.mga2
+ Revision: 180143
- imported package perl-Nagios-Object


* Sat Dec 10 2011 cpan2dist 0.21.16-1mga
- initial mageia release, generated with cpan2dist
